Cards & Wallets · Risk Management · Optimize Direct Evaluate and Manage

Optimize Direct Evaluate

Optimize Evaluate Direct is a way to use our Optimize Evaluate service to get a decision about a transaction without actually processing a payment.

The data provided in the request will be used to make a decision about the transaction using the rules configured in the Merchant Portal. The decision detail returned in the response includes our advisory overall outcome as well as details of each rule triggered so you can determine your own outcome if required. Note that no information about the transaction will be inferred from other data, so any data points required for analysis will need to be explicitly supplied in the request.

Supported Payment Methods

The following payment methods are supported in Optimize Direct:

  • Card
  • PayPal
  • Merchant Defined
  • Google Pay

Card

  • Full or partial card details can be supplied. If a card field is supplied then this is the value that will be used by the Optimize rules engine. If a PAN is supplied then the corresponding card details (issuer, issuer country, card brand, card usage type, card category) will be looked up and populated if they are not overridden in the request.
  • 3D Secure data can be supplied in the request to support 3D Secure transactions.
  • Card tokens from existing integrations can be used, however a new token will never be created for a direct card transaction.

Merchant Defined

  • Merchant defined payment details can be used for a payment method that does not fit into any of the other payment method categories.

Supported Transaction Types

In Optimize Direct all transactions are independent and there is no concept of related or secondary transactions meaning that there is a limited set of supported transaction types. The supported transaction types are:

  • Payment
  • Payout
  • Repeat

This means that Void, Capture, Cancel and Refund transaction types are not supported.

Repeat transactions

Due to the fact that all transactions are independent in Optimize Direct and there is no concept of related transactions, a transaction that is the first in a recurring sequence should be sent as a payment and any subsequent recurring transactions should be sent as repeats.

API examples

Request with full card details
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/verify/payment
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 157.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "card" : {
      "pan" : "9952021234567894",
      "expiryDate" : "0430",
      "cardType" : "MC_DEBIT",
      "cardHolderName" : "John Smith",
      "defaultCard" : false
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "countryCode" : "GBR"
    }
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/verify/payment" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 157.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "card" : {
      "pan" : "9952021234567894",
      "expiryDate" : "0430",
      "cardType" : "MC_DEBIT",
      "cardHolderName" : "John Smith",
      "defaultCard" : false
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "countryCode" : "GBR"
    }
  }
}'
Response
HTTP/1.1 201

{
  "processing" : {
    "model" : "ADVICE",
    "decision" : {
      "decisionResult" : "BLOCK",
      "decisionSource" : "RULE",
      "requestedType" : "PAYMENT",
      "decidedType" : "PAYMENT",
      "rulesTriggered" : [ {
        "name" : "Block rule",
        "action" : "BLOCK",
        "description" : "Block"
      } ],
      "decisionReason" : "DERIVED_BY_TRIGGERED_RULE_ACTION"
    }
  },
  "paymentMethod" : {
    "card" : {
      "cardFingerprint" : "=kpwVi/BqDsTn02t8pNic/5DqYbz",
      "new" : true,
      "cardType" : "MC_DEBIT",
      "cardScheme" : "MASTERCARD",
      "maskedPan" : "995202******7894",
      "expiryDate" : "0430",
      "cardHolderName" : "John Smith"
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "country" : "United Kingdom",
      "countryCode" : "GBR"
    },
    "paymentClass" : "CARD"
  },
  "customFields" : { },
  "transaction" : {
    "transactionId" : "11899435429",
    "merchantRef" : "mer_txn_1234556",
    "merchantDescription" : "Sample Transaction",
    "status" : "SUCCESS",
    "stage" : "FRAUD_RULES",
    "type" : "PAYMENT",
    "amount" : 157.00,
    "currency" : "GBP",
    "transactionTime" : "2020-04-22T10:10:10.948+01:00",
    "receivedTime" : "2020-04-22T10:10:10.948+01:00"
  },
  "outcome" : {
    "status" : "SUCCESS",
    "reasonCode" : "S100",
    "reasonMessage" : "Processed"
  },
  "trace" : "Tiz06uFGRb21DX3pnkgdoMA",
  "link" : [ {
    "rel" : "transaction",
    "href" : "https://api.mite.pay360.com/acceptor/rest/transactions/111111/11899435429"
  } ]
}
Request with partial card details
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/verify/payment
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 157.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "card" : {
      "maskedPan" : "995202******7894",
      "expiryDate" : "0430",
      "cardType" : "MC_DEBIT",
      "cardHolderName" : "John Smith",
      "cardCategory" : "CORPORATE",
      "cardUsageType" : "DEBIT"
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "country" : "United Kingdom",
      "countryCode" : "GBR"
    }
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/verify/payment" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 157.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "card" : {
      "maskedPan" : "995202******7894",
      "expiryDate" : "0430",
      "cardType" : "MC_DEBIT",
      "cardHolderName" : "John Smith",
      "cardCategory" : "CORPORATE",
      "cardUsageType" : "DEBIT"
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "country" : "United Kingdom",
      "countryCode" : "GBR"
    }
  }
}'
Response
HTTP/1.1 201

{
  "processing" : {
    "model" : "ADVICE",
    "decision" : {
      "decisionResult" : "BLOCK",
      "decisionSource" : "RULE",
      "requestedType" : "PAYMENT",
      "decidedType" : "PAYMENT",
      "rulesTriggered" : [ {
        "name" : "Block rule",
        "action" : "BLOCK",
        "description" : "Block"
      } ],
      "decisionReason" : "DERIVED_BY_TRIGGERED_RULE_ACTION"
    }
  },
  "paymentMethod" : {
    "card" : {
      "cardType" : "MC_DEBIT",
      "cardUsageType" : "DEBIT",
      "cardScheme" : "MASTERCARD",
      "cardCategory" : "CORPORATE",
      "maskedPan" : "995202******7894",
      "expiryDate" : "0430",
      "cardHolderName" : "John Smith"
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "country" : "United Kingdom",
      "countryCode" : "GBR"
    },
    "paymentClass" : "CARD"
  },
  "customFields" : { },
  "transaction" : {
    "transactionId" : "11899434904",
    "merchantRef" : "mer_txn_1234556",
    "merchantDescription" : "Sample Transaction",
    "status" : "SUCCESS",
    "stage" : "FRAUD_RULES",
    "type" : "PAYMENT",
    "amount" : 157.00,
    "currency" : "GBP",
    "transactionTime" : "2020-04-21T09:23:15.562+01:00",
    "receivedTime" : "2020-04-21T09:23:15.562+01:00"
  },
  "outcome" : {
    "status" : "SUCCESS",
    "reasonCode" : "S100",
    "reasonMessage" : "Processed"
  },
  "trace" : "TcT2fDO3bZ34FQXxshxuRlQ",
  "link" : [ {
    "rel" : "transaction",
    "href" : "https://api.mite.pay360.com/acceptor/rest/transactions/111111/11899434904"
  } ]
}
Request with card token
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/verify/payment
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 57.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "cardToken" : {
      "token" : "MT_0al258ffTQm0z-OSwkkMJQ"
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "country" : "United Kingdom",
      "countryCode" : "GBR"
    }
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/verify/payment" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 57.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "cardToken" : {
      "token" : "MT_0al258ffTQm0z-OSwkkMJQ"
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "country" : "United Kingdom",
      "countryCode" : "GBR"
    }
  }
}'
Response
HTTP/1.1 201

{
  "processing" : {
    "model" : "ADVICE",
    "decision" : {
      "decisionResult" : "PROCEED",
      "decisionSource" : "RULE",
      "requestedType" : "PAYMENT",
      "decidedType" : "PAYMENT",
      "rulesTriggered" : [ ],
      "decisionReason" : "NO_RULES_TRIGGERED"
    }
  },
  "paymentMethod" : {
    "card" : {
      "cardToken" : "MT_0al258ffTQm0z-OSwkkMJQ",
      "cardFingerprint" : "=cCoH9xYatDtG4YNAYCLOhItqRcU",
      "new" : false,
      "cardType" : "MC_DEBIT",
      "cardUsageType" : "DEBIT",
      "cardScheme" : "MASTERCARD",
      "cardCategory" : "DEBIT",
      "maskedPan" : "995202******7894",
      "expiryDate" : "0430",
      "issuer" : "DATACASH",
      "issuerCountry" : "GBR",
      "cardHolderName" : "John Smith"
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "country" : "United Kingdom",
      "countryCode" : "GBR"
    },
    "paymentClass" : "CARD"
  },
  "customFields" : { },
  "customer" : {
    "id" : "10503",
    "merchantRef" : "mer_cust_131241412"
  },
  "transaction" : {
    "transactionId" : "11899434894",
    "merchantRef" : "mer_txn_1234556",
    "merchantDescription" : "Sample Transaction",
    "status" : "SUCCESS",
    "stage" : "FRAUD_RULES",
    "type" : "PAYMENT",
    "amount" : 57.00,
    "currency" : "GBP",
    "transactionTime" : "2020-04-21T09:09:16.272+01:00",
    "receivedTime" : "2020-04-21T09:09:16.272+01:00"
  },
  "outcome" : {
    "status" : "SUCCESS",
    "reasonCode" : "S100",
    "reasonMessage" : "Processed"
  },
  "trace" : "Tmf0JMfCVTkI6lUXQ-VMLZg",
  "link" : [ {
    "rel" : "transaction",
    "href" : "https://api.mite.pay360.com/acceptor/rest/transactions/111111/11899434894"
  } ]
}
Request with PayPal
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/verify/payment
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 157.00,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "paypal" : { }
  },
  "customer" : {
    "merchantRef" : "mer_cust_007",
    "displayName" : "Mr John Smith",
    "email" : "[email protected]"
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/verify/payment" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 157.00,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "paypal" : { }
  },
  "customer" : {
    "merchantRef" : "mer_cust_007",
    "displayName" : "Mr John Smith",
    "email" : "[email protected]"
  }
}'
Response
HTTP/1.1 201

{
  "processing" : {
    "model" : "ADVICE",
    "decision" : {
      "decisionResult" : "BLOCK",
      "decisionSource" : "RULE",
      "requestedType" : "PAYMENT",
      "decidedType" : "PAYMENT",
      "rulesTriggered" : [ {
        "name" : "Block rule",
        "action" : "BLOCK",
        "description" : "Block"
      } ],
      "decisionReason" : "DERIVED_BY_TRIGGERED_RULE_ACTION"
    }
  },
  "paymentMethod" : {
    "paypal" : {
      "email" : "[email protected]",
      "source" : "PAYPAL"
    },
    "paymentClass" : "PAYPAL"
  },
  "customFields" : { },
  "customer" : {
    "id" : "10504",
    "merchantRef" : "mer_cust_007"
  },
  "transaction" : {
    "transactionId" : "11899434897",
    "merchantRef" : "mer_txn_1234556",
    "merchantDescription" : "Sample Transaction",
    "status" : "SUCCESS",
    "stage" : "FRAUD_RULES",
    "type" : "PAYMENT",
    "amount" : 157.00,
    "currency" : "GBP",
    "transactionTime" : "2020-04-21T09:13:14.892+01:00",
    "receivedTime" : "2020-04-21T09:13:14.892+01:00"
  },
  "outcome" : {
    "status" : "SUCCESS",
    "reasonCode" : "S100",
    "reasonMessage" : "Processed"
  },
  "trace" : "TgsiNktv9pnUpw50TNhj3kw",
  "link" : [ {
    "rel" : "transaction",
    "href" : "https://api.mite.pay360.com/acceptor/rest/transactions/111111/11899434897"
  } ]
}
Request with merchant defined payment details
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/verify/payment
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 1000.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "merchantDefined" : {
      "accountHolderName" : "Account holder name",
      "paymentMethodName" : "Payment method X"
    }
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/verify/payment" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 1000.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "merchantDefined" : {
      "accountHolderName" : "Account holder name",
      "paymentMethodName" : "Payment method X"
    }
  }
}'
Response
HTTP/1.1 201

{
  "processing" : {
    "model" : "ADVICE",
    "decision" : {
      "decisionResult" : "BLOCK",
      "decisionSource" : "RULE",
      "requestedType" : "PAYMENT",
      "decidedType" : "PAYMENT",
      "rulesTriggered" : [ {
        "name" : "Block rule",
        "action" : "BLOCK",
        "description" : "Block"
      } ],
      "decisionReason" : "DERIVED_BY_TRIGGERED_RULE_ACTION"
    }
  },
  "paymentMethod" : {
    "merchantDefined" : {
      "accountHolderName" : "Account holder name",
      "paymentMethodName" : "Payment method X"
    },
    "paymentClass" : "UNKNOWN"
  },
  "customFields" : { },
  "transaction" : {
    "transactionId" : "13558645072",
    "merchantRef" : "mer_txn_1234556",
    "merchantDescription" : "Sample Transaction",
    "status" : "SUCCESS",
    "stage" : "FRAUD_RULES",
    "type" : "PAYMENT",
    "amount" : 145.50,
    "currency" : "GBP",
    "transactionTime" : "2020-04-21T09:17:01.937+01:00",
    "receivedTime" : "2020-04-21T09:17:01.937+01:00"
  },
  "outcome" : {
    "status" : "SUCCESS",
    "reasonCode" : "S100",
    "reasonMessage" : "Processed"
  },
  "trace" : "T3b01TuvXvu0DPK_-uKLs2Q",
  "link" : [ {
    "rel" : "transaction",
    "href" : "https://api.mite.pay360.com/acceptor/rest/transactions/111111/13558645072"
  } ]
}
Request with Google Pay details
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/verify/payment
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 57.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "googlepay" : {
      "pan" : "9952021234567894",
      "maskedPan" : "995202******7894",
      "expiryDate" : "0530",
      "details" : "7894",
      "network" : "VISA",
      "cardHolderName" : "Mr Test",
      "eciIndicator" : "05"
    }
  },
  "customer" : {
    "merchantRef" : "mer_cust_131241412",
    "displayName" : "Mr Test",
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "email" : "[email protected]",
    "dateOfBirth" : "1995-11-20",
    "telephone" : "0123 456 789",
    "defaultCurrency" : "GBP",
    "ip" : "212.58.253.67"
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/verify/payment" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 57.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "MOTO"
  },
  "paymentMethod" : {
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "googlepay" : {
      "pan" : "9952021234567894",
      "maskedPan" : "995202******7894",
      "expiryDate" : "0530",
      "details" : "7894",
      "network" : "VISA",
      "cardHolderName" : "Mr Test",
      "eciIndicator" : "05"
    }
  },
  "customer" : {
    "merchantRef" : "mer_cust_131241412",
    "displayName" : "Mr Test",
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "email" : "[email protected]",
    "dateOfBirth" : "1995-11-20",
    "telephone" : "0123 456 789",
    "defaultCurrency" : "GBP",
    "ip" : "212.58.253.67"
  }
}'
Response
HTTP/1.1 201

{
  "processing" : {
    "model" : "ADVICE",
    "decision" : {
      "decisionResult" : "PROCEED",
      "decisionSource" : "RULE",
      "requestedType" : "PAYMENT",
      "decidedType" : "PAYMENT",
      "rulesTriggered" : [ ],
      "decisionReason" : "NO_RULES_TRIGGERED"
    }
  },
  "paymentMethod" : {
    "registered" : false,
    "googlepay" : {
      "displayName" : "995202******7894",
      "cardScheme" : "VISA",
      "cardDetails" : "7894"
    },
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "country" : "United Kingdom",
      "countryCode" : "GBR"
    },
    "paymentClass" : "CARD"
  },
  "customFields" : { },
  "customer" : {
    "id" : "10503",
    "merchantRef" : "mer_cust_131241412"
  },
  "transaction" : {
    "transactionId" : "10910753508",
    "merchantRef" : "mer_txn_1234556",
    "merchantDescription" : "Sample Transaction",
    "status" : "SUCCESS",
    "stage" : "FRAUD_RULES",
    "type" : "PAYMENT",
    "amount" : 57.00,
    "currency" : "GBP",
    "transactionTime" : "2021-05-18T13:45:06.446+01:00",
    "receivedTime" : "2021-05-18T13:45:06.446+01:00"
  },
  "outcome" : {
    "status" : "SUCCESS",
    "reasonCode" : "S100",
    "reasonMessage" : "Processed"
  },
  "trace" : "Tt3lTTNjoa7n8p6I6Mb6bCQ",
  "link" : [ {
    "rel" : "transaction",
    "href" : "http://secure.pay360.com/acceptor/rest/transactions/111111/10910753508"
  } ]
}
Request with 3DS result, strong customer authentication and continuous authority agreement
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/verify/payment
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 157.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "ECOM",
    "recurring" : true,
    "continuousAuthorityAgreement" : {
        "expiry" : "2030-01-01",
        "minFrequency" : 30
    }
  },
  "paymentMethod" : {
    "card" : {
      "pan" : "9900001368432670",
      "expiryDate" : "0430",
      "cardType" : "MC_DEBIT",
      "cardHolderName" : "John Smith",
      "defaultCard" : false
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "countryCode" : "GBR"
    }
  },
  "threeDSecure" : {
    "version" : 2,
    "protocolVersion" : "2.1.0",
    "versionsAttempted" : [
      {
        "version" : 2,
        "availability" : "AVAILABLE"
      }
    ],
    "eci" : "05",
    "status" : "ATTEMPTED"
  },
  "strongCustomerAuthentication" : {
    "transactionType" : "GOODS_OR_SERVICES",
    "accountInfo" : {
      "accountOpened" : {
        "period" : "THIS_TRANSACTION"
      },
      "activity" : {
        "purchasesInLastSixMonths" : 0,
        "addCardAttemptsInLast24Hours" : 5
      },
      "shippingNameSameAsAccountName" : true,
      "suspiciousActivity" : false
    }
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/verify/payment" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 157.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "ECOM",
    "recurring" : true,
    "continuousAuthorityAgreement" : {
        "expiry" : "2030-01-01",
        "minFrequency" : 30
    }
  },
  "paymentMethod" : {
    "card" : {
      "pan" : "9900001368432670",
      "expiryDate" : "0430",
      "cardType" : "MC_DEBIT",
      "cardHolderName" : "John Smith",
      "defaultCard" : false
    },
    "billingAddress" : {
      "line1" : "Flat 1 ",
      "line2" : "Test House",
      "line3" : "Test Street",
      "line4" : "Test Suburb",
      "city" : "Test City",
      "region" : "Test Region",
      "postcode" : "XX1 1AA",
      "countryCode" : "GBR"
    }
  },
  "threeDSecure" : {
    "version" : 2,
    "protocolVersion" : "2.1.0",
    "versionsAttempted" : [
      {
        "version" : 2,
        "availability" : "AVAILABLE"
      }
    ],
    "eci" : "05",
    "status" : "ATTEMPTED"
  },
  "strongCustomerAuthentication" : {
    "transactionType" : "GOODS_OR_SERVICES",
    "accountInfo" : {
      "accountOpened" : {
        "period" : "THIS_TRANSACTION"
      },
      "activity" : {
        "purchasesInLastSixMonths" : 0,
        "addCardAttemptsInLast24Hours" : 5
      },
      "shippingNameSameAsAccountName" : true,
      "suspiciousActivity" : false
    }
  }
}'
Response
HTTP/1.1 201

{
    "processing": {
        "model": "ADVICE",
        "decision": {
            "decisionResult": "PROCEED",
            "decisionSource": "RULE",
            "requestedType": "PAYMENT",
            "decidedType": "PAYMENT",
            "rulesTriggered": [],
            "decisionReason": "NO_RULES_TRIGGERED"
        }
    },
    "paymentMethod": {
        "registered": false,
        "card": {
            "cardFingerprint": "Q1MtNmYyYzA0MTItYTI1OC00ODk2LThiZTUtZDk4NmYxZmEwYTBl",
            "new": true,
            "cardType": "MC_DEBIT",
            "cardUsageType": "DEBIT",
            "cardScheme": "MASTERCARD",
            "cardCategory": "DEBIT",
            "maskedPan": "990000******2670",
            "expiryDate": "0430",
            "issuer": "PAY360 TESTING",
            "issuerCountry": "GBR",
            "cardHolderName": "John Smith"
        },
        "billingAddress": {
            "line1": "Flat 1 ",
            "line2": "Test House",
            "line3": "Test Street",
            "line4": "Test Suburb",
            "city": "Test City",
            "region": "Test Region",
            "postcode": "XX1 1AA",
            "country": "United Kingdom",
            "countryCode": "GBR"
        },
        "paymentClass": "CARD"
    },
    "customFields": {},
    "threeDSecure": {
        "status": "ATTEMPTED",
        "eci": "05",
        "version": 2,
        "protocolVersion": "2.1.0",
        "versionsAttempted": [
            {
                "version": 2,
                "availability": "AVAILABLE"
            }
        ]
    },
    "transaction": {
        "transactionId": "12455575954",
        "recurring": true,
        "merchantRef": "mer_txn_1234556",
        "merchantDescription": "Sample Transaction",
        "status": "SUCCESS",
        "stage": "FRAUD_RULES",
        "type": "PAYMENT",
        "amount": 157.00,
        "currency": "GBP",
        "transactionTime": "2021-02-01T16:47:53.577Z",
        "receivedTime": "2021-02-01T16:47:53.577Z",
        "continuousAuthorityAgreement": {
            "minFrequency": 30,
            "expiry": "2030-01-01"
        }
    },
    "outcome": {
        "status": "SUCCESS",
        "reasonCode": "S100",
        "reasonMessage": "Processed"
    },
    "strongCustomerAuthentication": {
        "transactionType": "GOODS_OR_SERVICES",
        "accountInfo": {
            "accountOpened": {
                "period": "THIS_TRANSACTION"
            },
            "activity": {
                "purchasesInLastSixMonths": 0,
                "addCardAttemptsInLast24Hours": 5
            },
            "shippingNameSameAsAccountName": true,
            "suspiciousActivity": false
        }
    },
    "trace": "TIB2-EVB2BVeZJcA9LZkoQQ",
    "link": [
        {
            "rel": "transaction",
            "href": "https://api.mite.pay360.com/acceptor/rest/transactions/6100008/12455575954"
        }
    ]
}

Support for Optimize Manage

If enabled then you will also be able to make full use of Optimize Manage with Direct transactions. See Optimize Direct Manage for more details.